Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.nullObject
Class NullVetoableChangeSupport

    java.lang.Object
      |
      +--java.beans.VetoableChangeSupport
            |
            +--com.togethersoft.openapi.util.nullObject.NullVetoableChangeSupport

public class NullVetoableChangeSupport
extends VetoableChangeSupport
implements NullObject

This class has private constructor and can't to be created by anyone

Author:
  TogetherSoft

Method Summary
`void` | `addVetoableChangeListener(VetoableChangeListener listener)`
`static VetoableChangeSupport` | `addVetoableChangeListener(Object source, VetoableChangeSupport oldSupport, VetoableChangeListener listener)`
`void` | `fireVetoableChange(String propertyName, Object oldValue, Object newValue)`
`static VetoableChangeSupport` | `getInstance()`
`static boolean` | `isNull(VetoableChangeSupport support)`
`void` | `removeVetoableChangeListener(VetoableChangeListener listener)`
`static VetoableChangeSupport` | `removeVetoableChangeListener(Object source, VetoableChangeSupport oldSupport, VetoableChangeListener listener)` Remove listener.

Methods inherited from class java.beans.VetoableChangeSupport
`addVetoableChangeListener, removeVetoableChangeListener, fireVetoableChange, fireVetoableChange, fireVetoableChange, hasListeners`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Method Detail

### addVetoableChangeListener

    public void addVetoableChangeListener(VetoableChangeListener listener)

### addVetoableChangeListener

    public static VetoableChangeSupport addVetoableChangeListener(Object source, VetoableChangeSupport oldSupport, VetoableChangeListener listener)

### fireVetoableChange

    public void fireVetoableChange(String propertyName, Object oldValue, Object newValue)
                             throws java.beans.PropertyVetoException

### getInstance

    public static VetoableChangeSupport getInstance()

### isNull

    public static boolean isNull(VetoableChangeSupport support)

### removeVetoableChangeListener

    public void removeVetoableChangeListener(VetoableChangeListener listener)

### removeVetoableChangeListener

    public static VetoableChangeSupport removeVetoableChangeListener(Object source, VetoableChangeSupport oldSupport, VetoableChangeListener listener)

  Remove listener. There is no way to check whether listener list is empty... Provided only for symmetry reasons

Association Links

to Class java.beans.VetoableChangeSupport

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD